STOFFTextParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
STOFFTextParser Class Referenceabstract

virtual class which defines the ancestor of all text zone parser More...

`#include <STOFFParser.hxx>`

Inheritance diagram for STOFFTextParser:

## Public Member Functions
virtual void | parse (librevenge::RVNGTextInterface *documentInterface)=0
| virtual function used to parse the input More...
Public Member Functions inherited from STOFFParser
virtual | ~STOFFParser ()
| virtual destructor More...
virtual bool | checkHeader (STOFFHeader *header, bool strict=false)=0
| virtual function used to check if the document header is correct (or not) More...
int | version () const
| returns the works version More...
STOFFParserStatePtr | getParserState ()
| returns the parser state More...
STOFFHeader * | getHeader ()
| returns the header More...
STOFFInputStreamPtr & | getInput ()
| returns the actual input More...
STOFFPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
STOFFPageSpan & | getPageSpan ()
| returns the actual page dimension More...
STOFFGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
STOFFSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
libstoff::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
| STOFFTextParser (STOFFInputStreamPtr input, STOFFHeader *header)
| constructor (protected) More...
| STOFFTextParser (STOFFParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from STOFFParser
| STOFFParser (STOFFParserState::Type type, STOFFInputStreamPtr input, STOFFHeader *header)
| constructor (protected) More...
| STOFFParser (STOFFParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (STOFFGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setSpreadsheetListener (STOFFSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Detailed Description

virtual class which defines the ancestor of all text zone parser

## Constructor & Destructor Documentation

STOFFTextParser::STOFFTextParser | ( | STOFFInputStreamPtr | input,
|  | STOFFHeader * | header
| ) |  |
| inlineprotected

constructor (protected)

STOFFTextParser::STOFFTextParser | ( | STOFFParserStatePtr | state | ) |
| inlineexplicitprotected

constructor using a state

## Member Function Documentation

virtual void STOFFTextParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| pure virtual

virtual function used to parse the input

Implemented in SDWParser.

The documentation for this class was generated from the following file:

- STOFFParser.hxx